# Uses of Class
org.apache.felix.framework.util.SecureAction

Packages that use SecureAction
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util

## Uses of SecureAction in org.apache.felix.framework

Constructors in org.apache.felix.framework with parameters of type SecureAction
Modifier
Constructor
Description
``
`URLHandlersStreamHandlerProxy(String protocol, SecureAction action, URLStreamHandler builtIn, URL builtInURL)`

## Uses of SecureAction in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type SecureAction
Modifier and Type
Method
Description
`static Class`
Util.`loadClassUsingClass(Class clazz, String name, SecureAction action)`
This is a simple utility class that attempts to load the named class using the class loader of the supplied class or the class loader of one of its super classes or their implemented interfaces.